/**
  *  \file client/dialogs/navchart.h
  *  \brief Ship Navigation Chart
  *
  *  (c) 2001-2013 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DIALOGS_NAVCHART_H
#define PCC_V2_CLIENT_DIALOGS_NAVCHART_H

class GUniverse;
class GShip;
class GPoint;

void doShipNavigationChart(GUniverse& univ, GShip& ship);
bool doGenericNavigationChart(GUniverse& univ, GPoint origin, GPoint& target, bool hyp, int r);

#endif
